# BEGIN SourceDeps(oneline):
BuildRequires: perl(Babble/PluginChain.pm) perl(Dist/Zilla/Role/FileFinderUser.pm) perl(Dist/Zilla/Role/FileMunger.pm) perl(List/Util.pm) perl(Module/Build/Tiny.pm) perl(Moose.pm) perl(MooseX/Types/Moose.pm) perl(MooseX/Types/Perl.pm) perl(Path/Tiny.pm) perl(Test/DZil.pm) perl(Test/More.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Dist-Zilla-Plugin-Babble
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: EXPERIMENTAL Automatic Babble substitution in Dist::Zilla
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LE/LEONT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Are you in need of Damian's Mad Science.'A? Are you lacking Matt's Voodoo? Do you want to mix all of the complexities of dzil's transformations with that stack? Then you're in the right place.

This module translates various modern Perl langauge features into their older equivalents using Babble. It is highly experimental, and comes with no warranties whatsoever.

By default it transforms code to be able to compile on perl `5.008'.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/D*

%changelog
* Sat Sep 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

